Subject: Re: ping6: why TTL instead of Hop Limit?

From: Hagen Paul Pfeifer <[email-masked]>
Date: Sun, 8 Jan 2012 00:33:04 +0100

* Dan Luedtke | 2012-01-07 19:07:03 [+0100]:

>I was just wondering why there is a TTL-field in ping6, although the
>corresponding field in the IPv6 header is called "Hop Limit". [1]
>
>Example:
>> ping6 -c 1 www.linux-ipv6.org
>> 64 bytes from 2001:200:dff:fff1:216:3eff:fea4:f9e9: icmp_seq=1 ttl=48 time=309 ms
>
>What I expected:
>> 64 bytes from 2001:200:dff:fff1:216:3eff:fea4:f9e9: icmp_seq=1 hl=48 time=309 ms
>
>Anyone an idea?
>Should I write a patch or is there a special reason for this?

Sorry, to late! You will break scripts/programms that parse ping6.

Hagen